using TagashiFileHub.Communication.IPC;
using TagashiFIleHub.Service;

var host = Host.CreateDefaultBuilder(args)
    .UseWindowsService(config => { config.ServiceName = "Tagashi File Hub"; })
    .ConfigureServices(services =>
    {
        services.AddSingleton<TagashiServer>();
        services.AddHostedService<Worker>();
        services.AddLogging();
    })
    .Build();

host.Run();